<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'test',

    /*
     * Package.
     */
    'package'   => 'test',

    /*
     * Modules.
     */
    'modules'   => ['k_e_y', 
'k_e_y'],

    'k_e_y'       => [
        'model' => [
            'model'                 => \Test\Test\Models\KEY::class,
            'table'                 => 'k_e_y_s',
            'presenter'             => \Test\Test\Repositories\Presenter\KEYPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['2018',  'UNIQUE_CHECKS=0;',  'FOREIGN_KEY_CHECKS=0;',  'category_id',  'category_name',  'category_description',  'PRIMARY',  'category_id))',  'product_id',  'product_name',  'product_description',  'product_price',  'product_discount',  'product_weight',  'product_height',  'product_width',  'category_t_category_id',  'PRIMARY',  'category_t_category_id),',  'category_t_category_id',  'category_t_category_id)',  'category_id)',  'vendor_id',  'vendor_name',  'vendor_phone',  'vendor_email',  'vendor_address',  'PRIMARY',  'vendor_id))',  'branch_id',  'branch_address',  'branch_phone',  'PRIMARY',  'branch_id))',  'vendor_t_vendor_id',  'products_t_product_id',  'branch_id',  'product_price',  'product_amount',  'updated_time',  'PRIMARY',  'updated_time),',  'products_t_product_id',  'vendor_t_vendor_id',  'branch_id',  'vendor_t_vendor_id)',  'vendor_id)',  'products_t_product_id)',  'product_id)',  'branch_id)',  'branch_id)',  'branches_t_branch_id',  'products_t_product_id',  'PRIMARY',  'products_t_product_id),',  'products_t_product_id',  'branches_t_branch_id',  'branches_t_branch_id)',  'branch_id)',  'products_t_product_id)',  'product_id)',  'employee_id',  'employee_name',  'employee_phone',  'employee_salary',  'employee_supervisor_id',  'branches_t_branch_id',  'PRIMARY',  'branches_t_branch_id),',  'employee_supervisor_id',  'branches_t_branch_id',  'employee_supervisor_id)',  'employee_id)',  'branches_t_branch_id)',  'branch_id)',  'skill_id',  'skills_name',  'PRIMARY',  'skill_id))',  'skills_t_skill_id',  'employees_t_employee_id',  'PRIMARY',  'employees_t_employee_id),',  'employees_t_employee_id',  'skills_t_skill_id',  'skills_t_skill_id)',  'skill_id)',  'employees_t_employee_id)',  'employee_id)',  'idorder_id',  'order_date',  'PRIMARY',  'idorder_id))',  'orders_t_idorder_id',  'products_t_product_id',  'PRIMARY',  'products_t_product_id),',  'products_t_product_id',  'orders_t_idorder_id',  'orders_t_idorder_id)',  'idorder_id)',  'products_t_product_id)',  'product_id)',  'custmer_id',  'custmer_name',  'custmer_phone',  'custmer_email',  'custmer_address',  'custmer_postalcode',  'custmers_subscriber',  'PRIMARY',  'custmer_id))',  'custmers_t_custmer_id',  'orders_t_idorder_id',  'PRIMARY',  'orders_t_idorder_id),',  'orders_t_idorder_id',  'custmers_t_custmer_id',  'custmers_t_custmer_id)',  'custmer_id)',  'orders_t_idorder_id)',  'idorder_id)',  'complaint_id',  'complaint_description',  'complaint_code',  'complaint_time',  'custmers_t_custmer_id',  'PRIMARY',  'custmers_t_custmer_id),',  'custmers_t_custmer_id',  'custmers_t_custmer_id)',  'custmer_id)',  'payment_mehtod_id',  'payment_mehtod_name',  'PRIMARY',  'payment_mehtod_id))',  'receipt_id',  'receipt_totalprice',  'orders_t_idorder_id',  'payment_mehtod_t_payment_mehtod_id',  'PRIMARY',  'payment_mehtod_t_payment_mehtod_id),',  'orders_t_idorder_id',  'payment_mehtod_t_payment_mehtod_id',  'orders_t_idorder_id)',  'idorder_id)',  'payment_mehtod_t_payment_mehtod_id)',  'payment_mehtod_id)',  'shipment_company_id',  'shipment_company_name',  'shipment_company_phone',  'shipment_company_fax',  'shipment_company_email',  'shipment_company_address',  'PRIMARY',  'shipment_company_id))',  'zone_id',  'zone_name',  'PRIMARY',  'zone_id))',  'shipment_id',  'shipment_source',  'shipment_destination',  'shipment_weight',  'shipment_price',  'orders_t_idorder_id',  'shipment_company_t_shipment_company_id',  'PRIMARY',  'shipment_company_t_shipment_company_id),',  'shipment_source',  'shipment_destination',  'shipment_company_t_shipment_company_id',  'orders_t_idorder_id',  'shipment_source)',  'zone_id)',  'shipment_destination)',  'zone_id)',  'shipment_company_t_shipment_company_id)',  'shipment_company_id)',  'orders_t_idorder_id)',  'idorder_id)',  'city_id',  'city_name',  'zones_t_zone_id',  'PRIMARY',  'zones_t_zone_id),',  'zones_t_zone_id',  'zones_t_zone_id)',  'zone_id)',  'shipment_company_t_shipment_company_id',  'zone_source',  'zones_destination',  'shipping_unit',  'shipping_rate',  'isFirst',  'shipping_rates_tcol',  'PRIMARY',  'shipping_rates_tcol),',  'shipment_company_t_shipment_company_id',  'zone_source',  'zones_destination',  'zone_source)',  'zone_id)',  'shipment_company_t_shipment_company_id)',  'shipment_company_id)',  'zones_destination)',  'zone_id)'],
            'translatables'         => [],
            'upload_folder'         => 'test/k_e_y',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Test',
            'package'   => 'Test',
            'module'    => 'KEY',
        ],

    ],

    'k_e_y'       => [
        'model' => [
            'model'                 => \Test\Test\Models\KEY::class,
            'table'                 => 'k_e_y_s',
            'presenter'             => \Test\Test\Repositories\Presenter\KEYPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['2018',  'UNIQUE_CHECKS=0;',  'FOREIGN_KEY_CHECKS=0;',  'category_id',  'category_name',  'category_description',  'PRIMARY',  'category_id))',  'product_id',  'product_name',  'product_description',  'product_price',  'product_discount',  'product_weight',  'product_height',  'product_width',  'category_t_category_id',  'PRIMARY',  'category_t_category_id),',  'category_t_category_id',  'category_t_category_id)',  'category_id)',  'vendor_id',  'vendor_name',  'vendor_phone',  'vendor_email',  'vendor_address',  'PRIMARY',  'vendor_id))',  'branch_id',  'branch_address',  'branch_phone',  'PRIMARY',  'branch_id))',  'vendor_t_vendor_id',  'products_t_product_id',  'branch_id',  'product_price',  'product_amount',  'updated_time',  'PRIMARY',  'updated_time),',  'products_t_product_id',  'vendor_t_vendor_id',  'branch_id',  'vendor_t_vendor_id)',  'vendor_id)',  'products_t_product_id)',  'product_id)',  'branch_id)',  'branch_id)',  'branches_t_branch_id',  'products_t_product_id',  'PRIMARY',  'products_t_product_id),',  'products_t_product_id',  'branches_t_branch_id',  'branches_t_branch_id)',  'branch_id)',  'products_t_product_id)',  'product_id)',  'employee_id',  'employee_name',  'employee_phone',  'employee_salary',  'employee_supervisor_id',  'branches_t_branch_id',  'PRIMARY',  'branches_t_branch_id),',  'employee_supervisor_id',  'branches_t_branch_id',  'employee_supervisor_id)',  'employee_id)',  'branches_t_branch_id)',  'branch_id)',  'skill_id',  'skills_name',  'PRIMARY',  'skill_id))',  'skills_t_skill_id',  'employees_t_employee_id',  'PRIMARY',  'employees_t_employee_id),',  'employees_t_employee_id',  'skills_t_skill_id',  'skills_t_skill_id)',  'skill_id)',  'employees_t_employee_id)',  'employee_id)',  'idorder_id',  'order_date',  'PRIMARY',  'idorder_id))',  'orders_t_idorder_id',  'products_t_product_id',  'PRIMARY',  'products_t_product_id),',  'products_t_product_id',  'orders_t_idorder_id',  'orders_t_idorder_id)',  'idorder_id)',  'products_t_product_id)',  'product_id)',  'custmer_id',  'custmer_name',  'custmer_phone',  'custmer_email',  'custmer_address',  'custmer_postalcode',  'custmers_subscriber',  'PRIMARY',  'custmer_id))',  'custmers_t_custmer_id',  'orders_t_idorder_id',  'PRIMARY',  'orders_t_idorder_id),',  'orders_t_idorder_id',  'custmers_t_custmer_id',  'custmers_t_custmer_id)',  'custmer_id)',  'orders_t_idorder_id)',  'idorder_id)',  'complaint_id',  'complaint_description',  'complaint_code',  'complaint_time',  'custmers_t_custmer_id',  'PRIMARY',  'custmers_t_custmer_id),',  'custmers_t_custmer_id',  'custmers_t_custmer_id)',  'custmer_id)',  'payment_mehtod_id',  'payment_mehtod_name',  'PRIMARY',  'payment_mehtod_id))',  'receipt_id',  'receipt_totalprice',  'orders_t_idorder_id',  'payment_mehtod_t_payment_mehtod_id',  'PRIMARY',  'payment_mehtod_t_payment_mehtod_id),',  'orders_t_idorder_id',  'payment_mehtod_t_payment_mehtod_id',  'orders_t_idorder_id)',  'idorder_id)',  'payment_mehtod_t_payment_mehtod_id)',  'payment_mehtod_id)',  'shipment_company_id',  'shipment_company_name',  'shipment_company_phone',  'shipment_company_fax',  'shipment_company_email',  'shipment_company_address',  'PRIMARY',  'shipment_company_id))',  'zone_id',  'zone_name',  'PRIMARY',  'zone_id))',  'shipment_id',  'shipment_source',  'shipment_destination',  'shipment_weight',  'shipment_price',  'orders_t_idorder_id',  'shipment_company_t_shipment_company_id',  'PRIMARY',  'shipment_company_t_shipment_company_id),',  'shipment_source',  'shipment_destination',  'shipment_company_t_shipment_company_id',  'orders_t_idorder_id',  'shipment_source)',  'zone_id)',  'shipment_destination)',  'zone_id)',  'shipment_company_t_shipment_company_id)',  'shipment_company_id)',  'orders_t_idorder_id)',  'idorder_id)',  'city_id',  'city_name',  'zones_t_zone_id',  'PRIMARY',  'zones_t_zone_id),',  'zones_t_zone_id',  'zones_t_zone_id)',  'zone_id)',  'shipment_company_t_shipment_company_id',  'zone_source',  'zones_destination',  'shipping_unit',  'shipping_rate',  'isFirst',  'shipping_rates_tcol',  'PRIMARY',  'shipping_rates_tcol),',  'shipment_company_t_shipment_company_id',  'zone_source',  'zones_destination',  'zone_source)',  'zone_id)',  'shipment_company_t_shipment_company_id)',  'shipment_company_id)',  'zones_destination)',  'zone_id)'],
            'translatables'         => [],
            'upload_folder'         => 'test/k_e_y',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Test',
            'package'   => 'Test',
            'module'    => 'KEY',
        ],

    ],
];
